Page MenuHomePhabricator

dirstate: forward `remove` call to newer `API`
ClosedPublic

Authored by marmoute on Aug 21 2021, 5:55 AM.

Details

Summary

The _remove method was only called in the deprecated remove function. We
merge the two and express it in terms of call to new API methods.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

marmoute created this revision.Aug 21 2021, 5:55 AM
Alphare accepted this revision.Aug 25 2021, 9:39 AM
This revision is now accepted and ready to land.Aug 25 2021, 9:39 AM
baymax updated this revision to Diff 30040.Aug 26 2021, 8:59 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

This revision was automatically updated to reflect the committed changes.